-- http://www.z-wave.ru/obzory.html
-- Результатом применения данной статьи станет текстовый файл следующего вида:
-- 
-- 2015.02.07, 21:45:18, Выключение света в 21:45:16, 17.7 минут не было движения, 2й этаж
-- 2015.02.07, 21:49:22, Движение на 1м этаже
-- 2015.02.07, 21:49:48, Управление Kodi
-- 2015.02.07, 21:49:48, Кухня включена
-- 2015.02.07, 21:51:23, HTPC socket выключен в 21:51:21
-- 2015.02.07, 21:56:40, Движение на 2м этаже
-- 2015.02.07, 21:57:31, Домашний компьютер включен
-- 2015.02.07, 22:02:41, Движение на 1м этаже
-- 
-- Рекомендую записывать лог «черного ящика» на отдельный USB-флеш-накопитель (VeraLite позволяет использовать USB-концентратор с внешним источником питания).
-- Если вы хотите использовать единственный USB-флеш-накопитель, то обязательно сделайте резервную копию действующей dataMine, чтобы ваши данные не пострадали в случае ошибок, как сделать резервную копию описано в статье (*1).


-- 3.1. Настройка уведомлений с датчика открытия двери или окна
function FileLog(Logtext)
	local filelog = "/dataMine/BlackBoxLog/Vera.log"
	local outf = io.open(filelog, "a")
	outf:write(os.date('%Y.%m.%d, %H:%M:%S, ' .. Logtext ))
	outf:write("\n")
	outf:close()
end
FileLog("Сработал датчик входной двери")

-- 3.2. Настройка уведомлений с датчика движения или мультисенсора
function FileLog(Logtext)
	local filelog = "/dataMine/BlackBoxLog/Vera.log"
	local outf = io.open(filelog, "a")
	outf:write(os.date('%Y.%m.%d, %H:%M:%S, ' .. Logtext ))
	outf:write("\n")
	outf:close()
end
FileLog("Движение на 1м этаже")

-- 3.3. Настройка уведомлений с выключателей и розеток
function FileLog(Logtext)
	local filelog = "/dataMine/BlackBoxLog/Vera.log"
	local outf = io.open(filelog, "a")
	outf:write(os.date('%Y.%m.%d, %H:%M:%S, ' .. Logtext ))
	outf:write("\n")
	outf:close()
end
FileLog("HTPC socket включен")

-- 3.4. Создание тревожных оповещений с датчиков задымления или протечки воды
function FileLog(Logtext)
	local filelog = "/dataMine/BlackBoxLog/Vera.log"
	local outf = io.open(filelog, "a")
	outf:write(os.date('%Y.%m.%d, %H:%M:%S, ' .. Logtext ))
	outf:write("\n")
	outf:close()
end
FileLog("Сработал датчик протечки в кухне!")
		

-- основано на коде huib, forum.micasaverde.com
-- z-wave.ru, Михаил Шардин